Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.recovery
Class RecoverAtomicAction

    java.lang.Object
      com.arjuna.ats.arjuna.StateManager
          com.arjuna.ats.arjuna.coordinator.BasicAction
              com.arjuna.ats.arjuna.coordinator.TwoPhaseCoordinator
                  com.arjuna.ats.arjuna.AtomicAction
                      com.arjuna.ats.arjuna.recovery.RecoverAtomicAction

All Implemented Interfaces:
  Reapable

public class RecoverAtomicAction
extends AtomicAction

Field Summary

Fields inherited from class com.arjuna.ats.arjuna.AtomicAction
`NO_TIMEOUT`

Fields inherited from class com.arjuna.ats.arjuna.coordinator.BasicAction
`failedList, heuristicList, pendingList, preparedList, readonlyList, savedIntentionList`

Fields inherited from class com.arjuna.ats.arjuna.StateManager
`modifyingActions, objectName, objectUid, smAttributes, usingActions`

Constructor Summary
`RecoverAtomicAction(Uid rcvUid, int theStatus)` Re-creates/activates an AtomicAction for the specified transaction Uid.

Method Summary
`void` | `replayPhase2()` Replays phase 2 of the commit protocol.

Methods inherited from class com.arjuna.ats.arjuna.AtomicAction
`abort, addThread, addThread, begin, begin, cancel, checkForCurrent, commit, commit, end, finalize, getTimeout, removeThread, removeThread, resume, suspend, type`

Methods inherited from class com.arjuna.ats.arjuna.coordinator.TwoPhaseCoordinator
`addSynchronization, afterCompletion, beforeCompletion, getDeferredThrowable, running, start, start`

Methods inherited from class com.arjuna.ats.arjuna.coordinator.BasicAction
`Abort, abortStatus, activate, activate, activeThreads, add, addChildAction, addChildThread, addChildThread, addRecord, Begin, childTransactions, commitStatus, criticalEnd, criticalStart, Current, deactivate, destroy, doAbort, doAbort, doCommit, doCommit, doPrepare, doPrepare, End, equals, forgetHeuristics, getHeuristicDecision, getHierarchy, getSavingUid, getStore, hierarchyDepth, insertRecord, isAncestor, maintainHeuristics, onePhaseCommit, parent, phase2Abort, phase2Cleanup, phase2Commit, prepare, preparedStatus, preventCommit, removeChildAction, removeChildThread, removeChildThread, restore_state, save_state, setCheckedAction, status, store, topLevelAction, topLevelActionUid, toString, typeOfAction, updateHeuristic, updateState`

Methods inherited from class com.arjuna.ats.arjuna.StateManager
`attributes, cleanup, deactivate, deactivate, disable, forgetAction, get_uid, getMutex, getStoreRoot, loadObjectState, lockMutex, modified, ObjectType, packHeader, persist, print, rememberAction, setStatus, setupStore, setupStore, terminate, tryLockMutex, unlockMutex, unpackHeader`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.arjuna.ats.arjuna.coordinator.Reapable
`get_uid, preventCommit`

Constructor Detail

### RecoverAtomicAction

    public RecoverAtomicAction(Uid rcvUid,
                               int theStatus)

  Re-creates/activates an AtomicAction for the specified transaction Uid.

Method Detail

### replayPhase2

    public void replayPhase2()

  Replays phase 2 of the commit protocol.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD